Upload a source image (png/jpeg/webp, ≤10MB) to use as proxy src
POST
/api/v1/upload
Authentication
API Key (cookie: better-auth.session_token)
Request Body
multipart/form-datafile
string (binary)
Image file (png/jpeg/webp)
Responses
200
Upload succeeded
application/jsonurl
string
REQUIRED
key
string
REQUIRED
400
Missing file
413
Too large
415
Unsupported type
curl -X POST 'https://motioness.com/api/v1/upload' \ -H 'Content-Type: application/json' \ -d '{ "file": "string"}'
const response = await fetch('https://motioness.com/api/v1/upload', { method: 'POST', headers: { "Content-Type": "application/json" }, body: JSON.stringify({ "file": "string" })});const data = await response.json();console.log(data);
import requestsresponse = requests.post('https://motioness.com/api/v1/upload', json={ "file": "string"})print(response.json())
200
Response
{ "url": "<string>", "key": "<string>"}
API Playground
Try this endpoint
POST
/api/v1/upload